# Note that this is NOT a relocatable package

Summary: An image loading and rendering library for Gdk.
Name: gdk-pixbuf
Version: 0.9.0
Release: 2mdk
Copyright: LGPL
Group: System/Libraries
BuildRequires: XFree86-devel gnome-libs-devel audiofile-devel esound-devel imlib-devel libjpeg-devel libpng-devel libtiff-devel zlib-devel
Source: ftp://ftp.gnome.org/pub/GNOME/sources/unstable/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}//%{name}-%{version}-root
URL: http://www.gnome.org/
Prefix: %{_prefix}
Requires: gtk+ %{name}-loaders = %{version}

%description
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

%package gnomecanvas
Summary: An image loading and rendering library for Gdk.
Group: System/Libraries
Requires: gnome-libs %{name}-loaders = %{version}
%description gnomecanvas
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

This package provides Xlib version of gdk-pixbuf

%package xlib
Summary: An image loading and rendering library for Gdk.
Group: System/Libraries
Requires: glib
Requires: %{name}-loaders = %{version}
%description xlib
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

This package provides Xlib version of gdk-pixbuf

%package loaders
Summary: An image loading and rendering library for Gdk.
Group: System/Libraries
Requires: libpng
Requires: libtiff
Requires: libjpeg
Requires: libungif
Requires: zlib
%description loaders
The GdkPixBuf library provides a number of features:
 - Image loading facilities.
 - Rendering of a GdkPixBuf into various formats:
   drawables (windows, pixmaps), GdkRGB buffers.

This package provides image loaders used by all versions
of GdkPixBuf

%package devel
Summary: Development tools for GdkPixBuf applications.
Group: Development/GNOME and GTK+
Requires: %{name} = %{version}
Requires: libpng-devel
Requires: libtiff-devel
Requires: libjpeg-devel
Requires: zlib-devel
Requires: libgr-devel
Requires: gtk+-devel
Requires: libungif-devel
Requires: XFree86-devel

%description devel
The header files, static libraries and documentation needed for
deeveloping GdkPixBuf applications. GdkPixBuf is an image loading and rendering
library for Gdk.

Install the imlib-devel package if you want to develop Imlib applications.
You'll also need to install the gdk-pixbuf package.

%prep
%setup -q 

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

# (fg) timescale is in a strange place...
install -m 755 $RPM_BUILD_DIR/%{name}-%{version}/gdk-pixbuf/pixops/timescale $RPM_BUILD_ROOT%{_bindir}

%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post xlib -p /sbin/ldconfig

%postun xlib -p /sbin/ldconfig

%post gnomecanvas -p /sbin/ldconfig

%postun gnomecanvas -p /sbin/ldconfig

%post loaders -p /sbin/ldconfig

%postun loaders -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB ChangeLog NEWS README TODO doc/*.txt doc/html
%{_libdir}/libgdk_pixbuf.so.*
%{_bindir}/timescale

%files loaders
%defattr(-,root,root)
%{_libdir}/*loader*.so*

%files xlib 
%defattr(-,root,root)
%{_libdir}/*xlib.so.*

%files gnomecanvas
%defattr(-,root,root)
%{_libdir}/*gnomecanvas*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_libdir}/*.a
%{_libdir}/libgdk*.so
%{_libdir}/libgnome*.so
%{_includedir}/gdk-pixbuf
%dir %{_datadir}/aclocal
%{_datadir}/aclocal/*
%{_libdir}/*.sh
%{_datadir}/gnome/html/*

%changelog
* Wed Sep 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-2mdk
- Split package in 3 flavors : Xlib, gtk, Gnome

* Fri Sep  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.0-1mdk
- Release 0.9.0
- more macroszification

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 0.8.0-2mdk
- automatically added BuildRequires

* Thu Jul 20 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.0-1mdk
- release 0.8.0
- BM
- use make macro

* Tue Apr 25 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release for gnome-core 1.1.9 from helix.
- stable version
- add doc files 

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-6mdk
- having some problems to build 1.1.8 on top of gdk_pixbuf 0.7.0
- retro build.

* Thu Apr 13 2000 Daouda Lo <daouda@mandrakesoft.com> 0.7.0-1mdk
- release 0.7.0

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-5mdk
- The <LIBRARY>Conf.sh missing file cause gnome-core failed at building!
- SMP build/check

* Wed Apr 12 2000 Daouda Lo <daouda@mandrakesoft.com> 0.6.0-4mdk
- rebuild for near future gnome (used in Helix).
- build with %{prefix} is suitable
- many minor changes in file sections

* Wed Apr 05 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-3mdk

- Changed group for -devel
- Some spec file corrections

* Wed Mar 22 2000 Francis Galiegue <fg@mandrakesoft.com> 0.6.0-2mdk

- Rebuilt on kenobi

* Mon Mar 13 2000 Francis Galiegue <francis@mandrakesoft.com> 0.6.0-1mdk

- 0.6.0
- Changed group to match those of 7.1
- Spec file corrections
- Let spec-helper do its job

* Mon Jan 24 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 0.5.0

* Mon Nov 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- First mandrake package

